User:Phlip/monobook.css

From Homestar Runner Wiki

< User:Phlip(Difference between revisions)
Jump to: navigation, search
m (checking it in monobook)
m (again... fixing things that aren't broken...)
 
(includes 2 intermediate revisions)
Line 3: Line 3:
#p-search { position: fixed; top: 320px }
#p-search { position: fixed; top: 320px }
#p-tb { position: fixed; top: 500px }
#p-tb { position: fixed; top: 500px }
-
#p-ext { position: fixed; top: 385px }
+
#p-ext, #p-externallinks { position: fixed; top: 385px }
#footer { margin-left: 160px; border: 1px solid #FABD23; border-right: none; }
#footer { margin-left: 160px; border: 1px solid #FABD23; border-right: none; }
 +
 +
#p-nav .pBody, #p-navigation .pBody, #p-search .pBody, #p-tb .pBody, #p-ext .pBody, #p-externallinks .pBody
 +
{
 +
  -moz-border-radius-topright: 10px;
 +
  -moz-border-radius-bottomright: 10px;
 +
}
 +
#content, #footer
 +
{
 +
  -moz-border-radius-topleft: 10px;
 +
  -moz-border-radius-bottomleft: 10px;
 +
}
 +
#p-cactions li, #p-cactions li a
 +
{
 +
  -moz-border-radius-topleft: 10px;
 +
  -moz-border-radius-topright: 10px;
 +
}
 +
#bottomtabs li, #bottomtabs li a
 +
{
 +
  -moz-border-radius-bottomleft: 10px;
 +
  -moz-border-radius-bottomright: 10px;
 +
}
 +
table.diff { background:white; }
table.diff { background:white; }
Line 65: Line 87:
   color: #096 !important;
   color: #096 !important;
}
}
-
 
-
/*blue stuff box*/
 
-
.stuff,
 
-
.stuff+.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff
 
-
{ background:#EEF; border:1px solid #AAB; }
 
-
/*grey stuff box*/
 
-
.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff+.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff,
 
-
.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff+.stuff
 
-
{ background:#EEE; border:1px solid #AAA; }
 
-
/* eleven is enough */
 

Current revision as of 11:19, 24 June 2006

#p-logo { position: fixed; }
#p-nav, #p-navigation { position: fixed; top: 160px }
#p-search { position: fixed; top: 320px }
#p-tb { position: fixed; top: 500px }
#p-ext, #p-externallinks { position: fixed; top: 385px }
#footer { margin-left: 160px; border: 1px solid #FABD23; border-right: none; }

#p-nav .pBody, #p-navigation .pBody, #p-search .pBody, #p-tb .pBody, #p-ext .pBody, #p-externallinks .pBody
{
  -moz-border-radius-topright: 10px;
  -moz-border-radius-bottomright: 10px;
}
#content, #footer
{
  -moz-border-radius-topleft: 10px;
  -moz-border-radius-bottomleft: 10px;
}
#p-cactions li, #p-cactions li a
{
  -moz-border-radius-topleft: 10px;
  -moz-border-radius-topright: 10px;
}
#bottomtabs li, #bottomtabs li a
{
  -moz-border-radius-bottomleft: 10px;
  -moz-border-radius-bottomright: 10px;
}


table.diff { background:white; }
td.diff-otitle { background:#ffffff; }
td.diff-ntitle { background:#ffffff; }
td.diff-addedline {
    background:#ccffcc;
    font-size: smaller;
    border: solid 1px black;
}
td.diff-deletedline {
    background:#ffffaa;
    font-size: smaller;
    border: dotted 1px black;
}
td.diff-context {
    background:#eeeeee;
    font-size: smaller;
}
td.diff-addedline span.diffchange { color: blue; font-weight: bold; text-decoration: underline; }
td.diff-deletedline span.diffchange { color: red; font-weight: bold; text-decoration: line-through; }

#bodyContent a[href ^="http://homestarrunner.com"] { /* no www. */
   background: url(/skins/monobook/hr.png) center left no-repeat !important;
   padding-left: 20px !important;
   padding-right: 0px !important;
}
#bodyContent a[href ^="http://podstar.homestarrunner.com"] { /* Podstar: */
   background: url(http://www.apple.com/favicon.ico) center left no-repeat !important;
   padding-left: 20px !important;
   padding-right: 0px !important;
}
#bodyContent a[href ^="http://forum.hrwiki.org"] { /* Forum: */
   background: url(http://forum.hrwiki.org/favicon.ico) center left no-repeat !important;
   padding-left: 20px !important;
   padding-right: 0px !important;
}
#bodyContent a[href ^="http://fanstuff.hrwiki.org"] { /* HRFWiki: */
   background: url(http://fanstuff.hrwiki.org/favicon.ico) center left no-repeat !important;
   padding-left: 20px !important;
   padding-right: 0px !important;
}
#bodyContent a[href ^="http://en.wikipedia.org"] { /* Wikipedia: */
   color: #369;
}
#bodyContent a[href ^="http://meta.wikipedia.org"] { /* MetaWikipedia: */
   background: url(http://meta.wikipedia.org/favicon.ico) center left no-repeat !important;
   padding-left: 20px !important;
   padding-right: 0px !important;
}
#bodyContent a[href ^="http://us.imdb.com"] { /* IMDb: */
   background: url(http://us.imdb.com/favicon.ico) center left no-repeat !important;
   padding-left: 20px !important;
   padding-right: 0px !important;
}
#bodyContent a[href ^="/index.php?title=Special:Contributions"],
#bodyContent a[href ^="/index.php/Special:Contributions"],
#bodyContent a[href ^="http://www.hrwiki.org/index.php?title=Special:Contributions"],
#bodyContent a[href ^="http://www.hrwiki.org/index.php/Special:Contributions"] { /* to highlight IPs in recent changes */
   color: #096 !important;
}
Personal tools